Subject: Re: [PATCH] ptp: add VMware virtual PTP clock driver

From: Richard Cochran <[email-masked]>
Date: Thu, 27 Feb 2020 09:01:48 -0800

On Thu, Feb 27, 2020 at 01:58:39PM +0000, Vivek Thampi wrote:
> Add a PTP clock driver called ptp_vmw, for guests running on VMware ESXi
> hypervisor. The driver attaches to a VMware virtual device called
> "precision clock" that provides a mechanism for querying host system time.
> Similar to existing virtual PTP clock drivers (e.g. ptp_kvm), ptp_vmw
> utilizes the kernel's PTP hardware clock API to implement a clock device
> that can be used as a reference in Chrony for synchronizing guest time with
> host.
> 
> The driver is only applicable to x86 guests running in VMware virtual
> machines with precision clock virtual device present. It uses a VMware
> specific hypercall mechanism to read time from the device.

Please post this driver to the lkml for wider reivew.  Also, be sure
to include the relevant VM/x86 maintainers on CC.

Thanks,
Richard